Subject: Re: [lmap] Support for multiple report table formats from one task

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 5 Apr 2016 14:35:17 +0200

On Thu, Mar 31, 2016 at 09:19:07PM -0400, Ron Stana wrote:
> Juergen,
> 
> The changes to version 4 of the LMAP YANG model (
> https://tools.ietf.org/html/draft-ietf-lmap-yang-04) allow for multiple
> tables to be sent for one task, so thank you.  However the client
> application will need to be able to determine what data is in each of the
> different tables.  There were two suggestions made in this thread:
> 
> 1) use different registry references for each table via the metric object
> 2) use different values in the 'tag' object for each table
> 
> The problem I see is neither the 'metric' or 'tag' objects are within the
> new 'table' object so each table cannot define its own value for these.
>

There are two options I think:

- Either assume that there is a 1:1 relationship between metrics
  listed and the result tables; or

- Introduce an additional structure that binds 0..n metrics to a
  result table.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>